CP=copy
RM=del
!IF "$(OS)" == "Windows_NT"
NULL=
RM=del /q
!ELSE
NULL=nul
!ENDIF

OUTDIR=


CESubsystem=windowsce,6.00
CEVersion=600
CEConfigName=OPPS

CECrtMT=T
CECrtMTDebug=Td
CPP=cl


!IF "$(MACHINE)" == "SH4"
MACHINE_CPP_FLAGS=/Qsh4 /D "SHx" /D "SH4" /D "_SH4_"
MACHINE_FLAG=$(MACHINE)

!ELSEIF "$(MACHINE)" == "MIPS"
MACHINE_CPP_FLAGS=/D "MIPS" /D "_MIPS_"
MACHINE_FLAG=$(MACHINE)

!ELSEIF "$(MACHINE)" == "ARM"
MACHINE_CPP_FLAGS=/D "ARM" /D "_ARM_" /D "THUMBSUPPORT"
MACHINE_FLAG=THUMB

!ELSEIF "$(MACHINE)" == "IX86"
MACHINE_CPP_FLAGS= /D "x86" /D "_i386_" /D "_x86_" /D "i_386_" /D "_X86_"
MACHINE_FLAG=$(MACHINE)

!ELSE
!MESSAGE An invalid MACHINE "$(MACHINE)" is specified.
!MESSAGE Please specify MACHINE= SH4 MIPS ARM OR IX86
!ERROR Exiting
!ENDIF


LIB_DIR=..\lib
LIB_PREFIX=Ce$(CEVersion)$(CPU)

COMPILE_FLAGS=
PDB_FLAGS=

BUILD_SET=Debug
#BUILD_SET=Release
USE_PDB=FALSE
RHAP_FLAGS=


!IF "$(BUILD_SET)" == "Debug"
COMPILE_FLAGS=/Od /D "_DEBUG" /M$(CECrtMTDebug)
LIB_POSTFIX=
!ELSEIF "$(BUILD_SET)" == "Release"
COMPILE_FLAGS=/O2 /D "NDEBUG" /M$(CECrtMT)
LIB_POSTFIX=R
!ELSE
!MESSAGE An invalid BUILD_SET "$(BUILD_SET)" is specified.
!MESSAGE Please specify BUILD_SET=Debug or BUILD_SET=Release
!ERROR Existing
!ENDIF


!IF "$(USE_PDB)" == "TRUE"
PDB_FLAGS=/Zi /Fd"$(LIB_NAME)"
!ENDIF

LIB_CMD=link.exe -lib
LIB_FLAGS=/NOLOGO /SUBSYSTEM:$(CESubsystem) /MACHINE:$(MACHINE_FLAG)


LIB_EXT=.lib
PDB_EXT=.pdb
OBJ_EXT=.obj
C_EXT=.c
H_EXT=.h


CFLAGS= /I . /I ..
CFLAGS=$(CFLAGS) /D _WIN32_WCE=$(CEVersion) /D "$(CEConfigName)" 
CFLAGS=$(CFLAGS) $(MACHINE_CPP_FLAGS) /D "_OM_NO_IOSTREAM" 
CFLAGS=$(CFLAGS) /D UNDER_CE=$(CEVersion) 
CFLAGS=$(CFLAGS) /D "UNICODE" /D "_OM_UNICODE_ONLY"
CFLAGS=$(CFLAGS) /nologo /W3 /EHs-c- /Zl
CFLAGS=$(CFLAGS) /D "_AFXDLL" /D "WIN32" /D "_WINDOWS" /D "_CRT_SECURE_NO_DEPRECATE" /D "_CRT_NON_CONFORMING_SWPRINTFS"
CFLAGS=$(CFLAGS) $(COMPILE_FLAGS)
CFLAGS=$(CFLAGS) $(PDB_FLAGS)


.DEFAULT : ALL

.PHONY : ALL

!INCLUDE "WebServicesFiles.list"

SRCS = $(WEBSERVICES_SRC)

HDRS = $(WEBSERVICES_INC)

OBJS = $(WEBSERVICES_OBJ)

libDir :
    if not exist "$(LIB_DIR)/$(NULL)" mkdir "$(LIB_DIR)"


LIB_NAME=$(LIB_PREFIX)$(TARGET_NAME)$(LIB_POSTFIX)

TARGET_NAME=WebServices
RHAP_FLAGS=
ALL: $(LIB_NAME)$(LIB_EXT)



$(LIB_NAME)$(LIB_EXT): libDir $(OBJS)
	$(LIB_CMD) $(LIB_FLAGS) /out:$(LIB_NAME)$(LIB_EXT) *$(OBJ_EXT)
	$(CP) $(LIB_NAME)$(LIB_EXT) $(LIB_DIR)
	if exist $(LIB_NAME)$(PDB_EXT) $(CP) $(LIB_NAME)$(PDB_EXT) $(LIB_DIR)
	$(RM) *$(OBJ_EXT) $@
	if exist $(LIB_NAME)$(LIB_EXT) $(RM) $(LIB_NAME)$(LIB_EXT)
	if exist $(LIB_NAME)$(PDB_EXT) $(RM) $(LIB_NAME)$(PDB_EXT)
	

clean:
	@echo Cleanup
	$(RM) *$(OBJ_EXT)
	@echo tried to remove the objects
	if exist $(LIB_NAME)$(LIB_EXT) $(RM) $(LIB_NAME)$(LIB_EXT)
	if exist $(LIB_NAME)$(PDB_EXT) $(RM) $(LIB_NAME)$(PDB_EXT)
